System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=true, Inherited=true)

When you mark a class with this attribute, you tell the code generator to create an extender property with the name you provide. The marked class must implement . As a result, the new property can be used by other components in a container.

Within the marked class, you must implement Get <name> and Set <name> methods. For example, if you mark a class with [ProvideProperty("PropertyName")], you must implement GetPropertyName and SetPropertyName methods. To specify that the new property will be an extender property, you must implement from , you must also implement a CanExtend method.

For more information, see Extending Metadata Using Attributes.

Specifies the name of the property that an implementer of offers to other components. This class cannot be inherited

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the name of the property and the type of its receiver.

  The name of the property extending to an object of the specified type.
  The name of the data type this property can extend.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the name of the property and its .

  The name of the property extending to an object of the specified type.
  The of the data type of the object that can receive the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of a property that this class provides.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the data type this property can extend.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets a unique identifier for this attribute.